/*This is example of using dalib classes when retrieve data from BLOB fields.
Change database URL and user name and password before compiling this example.
Run InsertBlob example to populate table. Then run ListBlobKeys to see primary keys of inserted
rows. Then run:
java RetrieveBlob outFile1 .. outFileN
Here outFile[1-N] - output file names where content of BLOB fields will go. 
*/

import java.util.*;
import JProjects.eab.data.*;


public class RetrieveBlob {

    public static void main(String[] arg) throws Exception {
	System.out.println("Retrieve blob Test running");
	Properties prop = new Properties();
	prop.put("user","user");
	prop.put("password","paswd");
	DatastoreJDBC ds = new DatastoreJDBC("jdbc:informix-sqli://host-name:1526/testbase:informixserver=server-name;db_locale=en_us.819",prop);
	ds.setDriver("com.informix.jdbc.IfxDriver");
	ds.connect();
	if (!ds.isConnected()) {
	    System.out.println("Couldn't connect to url");
	    System.exit(0);
	}
	BlobDemoManager mgr = new BlobDemoManager();
	mgr.open(null);
	BlobDemo dObj = new BlobDemo();
	int i;
	for (i=0;i<arg.length;i++) {
	    dObj.setData(new DAIOStream(arg[i]));
	    if (!mgr.fetchNextInto(dObj))
		break;
	    System.out.println("Data retrieved into "+arg[i]);
	}
	System.out.println("Data retrieved into "+i+" files.");
    }
}
